package com.org.hktshop.Interface.thesaurus;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.thesaurus.HktThesaurus;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 分词
 * @author owen
 */
public interface IHktThesaurusService {
    /**
     * 新增/更新词库
     * @param hktThesaurus
     */
    void updateThesaurus(HktThesaurus hktThesaurus, HttpServletRequest request) throws Exception;

    /**
     * 删除词库
     * @param hktThesaurus
     */
    void deleteThesaurus(HktThesaurus hktThesaurus);

    /**
     * 分页查询词库信息
     * @param hktThesaurus
     * @return
     */
    Page<HktThesaurus> queryThesaurusByPage(HktThesaurus hktThesaurus);

    /**
     * 查询词库详情
     * @param hktThesaurus
     * @return
     */
    HktThesaurus findThesaurusById(HktThesaurus hktThesaurus);

    /**
     * 查询所有词库
     * @param type
     * @return
     */
    String queryThesaurusList(int type);
}
